  <?php
     // Prüft die Serverumgebung auf die Anforderungen von Scripten von sgs-visual.de ab April 2025

  ?>

<!DOCTYPE html>
   <html lang="de">
    <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Installation</title>
    <style>
       body {
            background-color: #333333;
            font-family: Arial, sans-serif;
            font-size: 16px;
            color: #FFFFFF;
        }
        h1 {
            font-size: 18px;
            color: #FFFFFF;
            text-align: center;
        }
        #container {
            width: 350px;
            margin: 20px auto;
            text-align: center;
        }
        table {
            width: 350px;
            margin: 4px auto;
            text-align: left;
        }
        #message {
            width: 340px;
            margin: 4px auto;
            font-size: 14px;
            text-align: left;
        }


     </style>
    </head>
    <body>
	<div id="container">

<p id='message'>Um Skripte von sgs-visual.de ab Erstelldatum April 2025 nutzen zu können, muß Ihr Server einige Mindest-Anforderung erfüllen. Dieses Script prüft Ihren Server-Konfiguration. Sind alle Anforderungen ''Erfüllt'' können Sie das Script problemlos nutzen.</p>

  <?php

// Anforderungen definieren
$requirements = [
    'PHP Version >= 7.4' => version_compare(PHP_VERSION, '7.4.0', '>='),
    'MySQLi Erweiterung geladen' => extension_loaded('mysqli'),
    'GD Erweiterung geladen' => extension_loaded('gd'),
    'Datei-Uploads erlaubt' => ini_get('file_uploads') == '1',
    'Max Upload Größe (in MB)' => ini_get('upload_max_filesize'),
    'Max Post Größe (in MB)' => ini_get('post_max_size'),
    'Memory Limit (in MB)' => ini_get('memory_limit'),
];

// Hilfsfunktion, um Größenangaben in Byte umzuwandeln
function convertToBytes($value) {
    $value = trim($value);
    $last = strtolower($value[strlen($value)-1]);
    $num = (int)$value;
    switch($last) {
        case 'g': $num *= 1024;
        case 'm': $num *= 1024;
        case 'k': $num *= 1024;
    }
    return $num;
}

echo "<h1>Serverumgebungsprüfung</h1>";
echo "<table border='1' cellpadding='5' cellspacing='0'>";
echo "<tr><th>Anforderung</th><th>Status </th></tr>";

foreach ($requirements as $req => $result) {
    if (is_bool($result)) {
        $status = $result ? '<span style="color:#34FF34;"><strong>Erfüllt</strong></span>' : '<span style="color:#FF0000;"><strong>Nicht erfüllt</strong></span>';
    } else {
        // Für Größenangaben einfach ausgeben
        $status = htmlspecialchars($result);
    }
    echo "<tr><td>$req</td><td>$status</td></tr>";
}

echo "</table>";

// Zusätzliche Hinweise
echo "<p id='message'><strong>Hinweis:</strong> Max Upload Größe und Max Post Größe sind in der php.ini konfiguriert. Memory Limit gibt an, wie viel Speicher PHP maximal nutzen darf.</p>";
?>
     </div>
  </body>
 </html>